public class TestSimpson { 

    public static void main(String args[]) {
        double value;

        // Integrate the function y = x*ln(x) from
        // x=2 to x=4 with an error tolerance of 1.0e-4
        LogFunction function = new LogFunction();
        value = Integrator.simpsonsRule( function,2.0,4.0,1.0e-4);
        System.out.println("value = " + value);

        // Integrate the function y = sqrt(x^2 + 2^2) from
        // x=0 to x=3 with an error tolerance of 1.0e-4
        SqrtFunction function2 = new SqrtFunction(2.0);
        value = Integrator.simpsonsRule( function2,0.0,3.0,1.0e-4);
        System.out.println("value = " + value);

        // value = 6.704064541919408
        // value = 7.7978469366358025
    }
} 
